// Note from MAXIMUS
// If anyone will change (or will add new) .label.text - please
// be patient and add this label into RESOURCE\INI\TEXTS\(all languages)\interface_strings.txt
// It's VERY important for multilingual BUILD
void wdmInitWorldMap()
{
	//Init world map object
	//Debug info
	worldMap.debug = "false";
	worldMap.evwin = "false";
	worldMap.noenc = "false";
	//=========================================================================
	//Set event handlers
/*	SetEventHandler("WorldMap_EncounterCreate", "wdmEvent_EncounterCreate", 0);
	SetEventHandler("WorldMap_inside_islandzone", "wdmEvent_InsideIsland", 0);
	SetEventHandler("WorldMap_outside_islandzone", "wdmEvent_OutsideIsland", 0);
	SetEventHandler("WorldMap_PlayerInStorm", "wdmEvent_PlayerInStorm", 0);
	SetEventHandler("WorldMap_ShipEncounter", "wdmEvent_ShipEncounter", 0);
	SetEventHandler("WorldMap_EventWindowChangeSelectoin", "wdmEvent_EventWindowChangeSelectoin", 0);
	SetEventHandler("WorldMap_EventWindowSelect", "wdmEvent_EventWindowSelect", 0);	
	SetEventHandler("WorldMap_WaitMenuChangeSelectoin", "wdmEvent_WaitMenuChangeSelectoin", 0);
	SetEventHandler("WorldMap_WaitMenuSelect", "wdmEvent_WaitMenuSelect", 0);
	SetEventHandler("WorldMap_DeleteShipEncounter", "wdmEvent_DeleteShipEncounter", 0);
	SetEventHandler("WorldMap_UpdateDate", "wdmEvent_UpdateDate", 0);
	
	SetEventHandler("ExitFromWorldMap", "wdmReloadToSea", 0);
	*/
	//=========================================================================
	//Storm interface
	worldMap.storm.num = 0;
	worldMap.storm.cur = 0;
	worldMap.storm.x = 0;
	worldMap.storm.z = 0;
	worldMap.storm.time = 0;
	//Encounter interface
	worldMap.encounter.num = 0;
	worldMap.encounter.cur = 0;
	worldMap.encounter.x = 0;
	worldMap.encounter.z = 0;
	worldMap.encounter.ay = 0;
	worldMap.encounter.time = 0;
	worldMap.encounter.type = -1;
	worldMap.encounter.attack = -1;
	//=========================================================================
	worldMap.fontIslands = "SEADOGS";//"DIALOG21";
	worldMap.fontLocations = "SEADOGS_SMALL";//"normal";
	worldMap.labelPivotX = 0.5;
	worldMap.labelPivotY = 1.5;
	worldMap.heightViewLabel = 250.0;
	worldMap.icon.width = 32;
	worldMap.icon.height = 32;
	worldMap.icon.texture = "icons" + GetCurrentPeriod() + ".tga"; // KK
	worldMap.icon.num = 8;
	worldMap.icon.frames = 8;
	worldMap.icon.fps = 10;
	//=========================================================================
	worldMap.eventWindow.font.header = "normal";
	worldMap.eventWindow.font.text = "normal";
	worldMap.eventWindow.font.button = "normal";
	//==========================================================================
// KK -->
	//Start date
	aref ardate = GetStorylineStartParams(FindCurrentStoryline());
	worldMap.date.hour = ardate.date.hour;
	worldMap.date.min = ardate.date.min;
	worldMap.date.sec = ardate.date.sec;
	worldMap.date.day = ardate.date.day;
	worldMap.date.month = ardate.date.month;
	worldMap.date.year = ardate.date.year;
// <-- KK
	worldMap.date.hourPerSec = 4.0;
	//Output info
	worldMap.date.font = "normal";
	/*worldMap.date.monthnames.m01 = "";
	worldMap.date.monthnames.m02 = "";
	worldMap.date.monthnames.m03 = "";
	worldMap.date.monthnames.m04 = "";
	worldMap.date.monthnames.m05 = "";
	worldMap.date.monthnames.m06 = "";
	worldMap.date.monthnames.m07 = "";
	worldMap.date.monthnames.m08 = "";
	worldMap.date.monthnames.m09 = "";
	worldMap.date.monthnames.m10 = "";
	worldMap.date.monthnames.m11 = "";
	worldMap.date.monthnames.m12 = "";*/
	//1=========================================================================
	//Name
	worldMap.islands.FalaiseDeFleur.name = "FalaiseDeFleur";
	//Geometry parameters
	worldMap.islands.FalaiseDeFleur.position.x = -210.0;
	worldMap.islands.FalaiseDeFleur.position.y = 30.0;
	worldMap.islands.FalaiseDeFleur.position.z = 760.0;
	worldMap.islands.FalaiseDeFleur.position.rx = -194.0;
	worldMap.islands.FalaiseDeFleur.position.rz = 772.1;
	worldMap.islands.FalaiseDeFleur.radius = 120.0;
	worldMap.islands.FalaiseDeFleur.kradius = 0.75;
	//Island label
	worldMap.islands.FalaiseDeFleur.label.text = "Falaise De Fleur";
	worldMap.islands.FalaiseDeFleur.label.icon = -1;
	worldMap.islands.FalaiseDeFleur.label.visible = "true";
	//Island locations----------------------------------------------------------
	//City
	//Name
	worldMap.islands.FalaiseDeFleur.locations.city2.name = "Falaise De Fleur";
	worldMap.islands.FalaiseDeFleur.locations.city2.real = "Falaise De Fleur";//MAXIMUS: attribute .real needed for several things in the future
	//Geometry parameters
	worldMap.islands.FalaiseDeFleur.locations.city2.move = "false";
	worldMap.islands.FalaiseDeFleur.locations.city2.position.x = -190.0;
	worldMap.islands.FalaiseDeFleur.locations.city2.position.y = 8.0;
	worldMap.islands.FalaiseDeFleur.locations.city2.position.z = 770.0;
	worldMap.islands.FalaiseDeFleur.locations.city2.position.ay = 0.0;
	worldMap.islands.FalaiseDeFleur.locations.city2.modelName = "town";
	worldMap.islands.FalaiseDeFleur.locations.city2.visible = "false";
	worldMap.islands.FalaiseDeFleur.locations.city2.move = "false";
	//Label
	worldMap.islands.FalaiseDeFleur.locations.city2.label.text = "Falaise De Fleur";
	worldMap.islands.FalaiseDeFleur.locations.city2.label.icon = FRANCE;
	worldMap.islands.FalaiseDeFleur.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.FalaiseDeFleur.locations.city2.ship.pos.x = -107.67; // KK
	worldMap.islands.FalaiseDeFleur.locations.city2.ship.pos.z = 773.20; // KK
	//Name
	worldMap.islands.FalaiseDeFleur.locations.city1.name = "FShore 1";
	//Geometry parameters
	worldMap.islands.FalaiseDeFleur.locations.city1.position.x = -175.300018;
	worldMap.islands.FalaiseDeFleur.locations.city1.position.y = 2.905003;
	worldMap.islands.FalaiseDeFleur.locations.city1.position.z = 801.800110;
	worldMap.islands.FalaiseDeFleur.locations.city1.position.ay = 0.0;
	worldMap.islands.FalaiseDeFleur.locations.city1.modelName = "leaf";
	worldMap.islands.FalaiseDeFleur.locations.city1.visible = "false";
	worldMap.islands.FalaiseDeFleur.locations.city1.move = "false";
	//Label
	worldMap.islands.FalaiseDeFleur.locations.city1.label.text = "Octopus Bay";
	worldMap.islands.FalaiseDeFleur.locations.city1.label.icon = -1;
	worldMap.islands.FalaiseDeFleur.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.FalaiseDeFleur.locations.city1.ship.pos.x = -160.15; // KK
	worldMap.islands.FalaiseDeFleur.locations.city1.ship.pos.z = 806.13; // KK
	//

	//2=========================================================================
	//Name
	worldMap.islands.Redmond.name = "Redmond";
	//Geometry parameters
	worldMap.islands.Redmond.isVisibleName = 0;
	worldMap.islands.Redmond.position.x = -8.0;
	worldMap.islands.Redmond.position.y = 30.0;
	worldMap.islands.Redmond.position.z = -235.0;
	worldMap.islands.Redmond.position.rx = 4.0;
	worldMap.islands.Redmond.position.rz = -220.5;
	worldMap.islands.Redmond.radius = 150.0;	
	worldMap.islands.Redmond.kradius = 0.75;
	//Island label
	worldMap.islands.Redmond.label.text = "Redmond";
	worldMap.islands.Redmond.label.icon = -1;
	worldMap.islands.Redmond.label.visible = "true";

	//City
	//Name
	worldMap.islands.Redmond.locations.city3.name = "Redmond";
	worldMap.islands.Redmond.locations.city3.real = "Redmond";
	//Geometry parameters
	worldMap.islands.Redmond.locations.city3.position.x = -54.605331;
	worldMap.islands.Redmond.locations.city3.position.y = 5.0;
	worldMap.islands.Redmond.locations.city3.position.z = -243.0;
	worldMap.islands.Redmond.locations.city3.position.ay = 0.0;
	worldMap.islands.Redmond.locations.city3.modelName = "town";
	worldMap.islands.Redmond.locations.city3.visible = "false";
	worldMap.islands.Redmond.locations.city3.move = "false";
	//Label
	worldMap.islands.Redmond.locations.city3.label.text = "Redmond";
	worldMap.islands.Redmond.locations.city3.label.icon = ENGLAND;
	worldMap.islands.Redmond.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Redmond.locations.city3.ship.pos.x = -47.82; // KK
	worldMap.islands.Redmond.locations.city3.ship.pos.z = -226.44; // KK
	//Name
	worldMap.islands.Redmond.locations.city1.name = "RShore 1";
	//Geometry parameters
	worldMap.islands.Redmond.locations.city1.position.x = -4.745148;
	worldMap.islands.Redmond.locations.city1.position.y = 2.445001;
	worldMap.islands.Redmond.locations.city1.position.z = -244.701599;
	worldMap.islands.Redmond.locations.city1.position.ay = 0.0;
	worldMap.islands.Redmond.locations.city1.modelName = "leaf";
	worldMap.islands.Redmond.locations.city1.visible = "false";
	worldMap.islands.Redmond.locations.city1.move = "false";
	//Label
	worldMap.islands.Redmond.locations.city1.label.text = "Devil's Throat";
	worldMap.islands.Redmond.locations.city1.label.icon = -1;
	worldMap.islands.Redmond.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Redmond.locations.city1.ship.pos.x = 1.69; // KK
	worldMap.islands.Redmond.locations.city1.ship.pos.z = -229.16; // KK
	//Name
	worldMap.islands.Redmond.locations.city2.name = "RShore 2";
	//Geometry parameters
	worldMap.islands.Redmond.locations.city2.position.x = -27.075180;
	worldMap.islands.Redmond.locations.city2.position.y = 2.445001;
	worldMap.islands.Redmond.locations.city2.position.z = -267.556274;
	worldMap.islands.Redmond.locations.city2.position.ay = 0.0;
	worldMap.islands.Redmond.locations.city2.modelName = "leaf";
	worldMap.islands.Redmond.locations.city2.visible = "false";
	worldMap.islands.Redmond.locations.city2.move = "false";
	//Label
	worldMap.islands.Redmond.locations.city2.label.text = "Rocky Shore";
	worldMap.islands.Redmond.locations.city2.label.icon = -1;
	worldMap.islands.Redmond.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Redmond.locations.city2.ship.pos.x = -41.09; // KK
	worldMap.islands.Redmond.locations.city2.ship.pos.z = -280.05; // KK

	//3=========================================================================
	//Name
	worldMap.islands.Oxbay.name = "Oxbay";
	//Geometry parameters
	worldMap.islands.Oxbay.isVisibleName = 0;
	worldMap.islands.Oxbay.position.x = 295.0;
	worldMap.islands.Oxbay.position.y = 30.0;
	worldMap.islands.Oxbay.position.z = 740.0;
	worldMap.islands.Oxbay.position.rx = 333.9;
	worldMap.islands.Oxbay.position.rz = 734.2;
	worldMap.islands.Oxbay.radius = 130.0;	
	worldMap.islands.Oxbay.kradius = 0.75;
	//Island label
	worldMap.islands.Oxbay.label.text = "Oxbay";
	worldMap.islands.Oxbay.label.icon = -1;
	worldMap.islands.Oxbay.label.visible = "true";

	//City
	//Name
	worldMap.islands.Oxbay.locations.city5.name = "Oxbay";
	worldMap.islands.Oxbay.locations.city5.real = "Oxbay";
	//Geometry parameters
	worldMap.islands.Oxbay.locations.city5.position.x = 261.453;
	worldMap.islands.Oxbay.locations.city5.position.y = 5.465;
	worldMap.islands.Oxbay.locations.city5.position.z = 771.66;
	worldMap.islands.Oxbay.locations.city5.position.ay = 2.5765;
	worldMap.islands.Oxbay.locations.city5.modelName = "town";
	worldMap.islands.Oxbay.locations.city5.visible = "false";
	worldMap.islands.Oxbay.locations.city5.move = "false";
	//Label
	worldMap.islands.Oxbay.locations.city5.label.text = "Oxbay";
	worldMap.islands.Oxbay.locations.city5.label.icon = ENGLAND;
	worldMap.islands.Oxbay.locations.city5.label.visible = "false";
	// initial ship location
	worldMap.islands.Oxbay.locations.city5.ship.pos.x = 255.21; // KK
	worldMap.islands.Oxbay.locations.city5.ship.pos.z = 782.84; // KK
	//Name
	worldMap.islands.Oxbay.locations.city1.name = "OShore 2";
	//Geometry parameters
	worldMap.islands.Oxbay.locations.city1.position.x = 306.359940;
	worldMap.islands.Oxbay.locations.city1.position.y = 5.440002;
	worldMap.islands.Oxbay.locations.city1.position.z = 766.674967;
	worldMap.islands.Oxbay.locations.city1.position.ay = 3.442;
	worldMap.islands.Oxbay.locations.city1.modelName = "leaf";
	worldMap.islands.Oxbay.locations.city1.visible = "false";
	worldMap.islands.Oxbay.locations.city1.move = "false";
	//Label
	worldMap.islands.Oxbay.locations.city1.label.text = "Gray Rock Bay";
	worldMap.islands.Oxbay.locations.city1.label.icon = -1;
	worldMap.islands.Oxbay.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Oxbay.locations.city1.ship.pos.x = 332.48; // KK
	worldMap.islands.Oxbay.locations.city1.ship.pos.z = 803.83; // KK
	//Name
	worldMap.islands.Oxbay.locations.city4.name = "OShore 1";
	//Geometry parameters
	worldMap.islands.Oxbay.locations.city4.position.x = 256.189865;
	worldMap.islands.Oxbay.locations.city4.position.y = 5.084993;
	worldMap.islands.Oxbay.locations.city4.position.z = 715.415068;
	worldMap.islands.Oxbay.locations.city4.position.ay = 3.442;
	worldMap.islands.Oxbay.locations.city4.modelName = "leaf";
	worldMap.islands.Oxbay.locations.city4.visible = "false";
	worldMap.islands.Oxbay.locations.city4.move = "false";
	//Label
	worldMap.islands.Oxbay.locations.city4.label.text = "Far Beach";
	worldMap.islands.Oxbay.locations.city4.label.icon = -1;
	worldMap.islands.Oxbay.locations.city4.label.visible = "false";
	// initial ship location
	worldMap.islands.Oxbay.locations.city4.ship.pos.x = 283.65; // KK
	worldMap.islands.Oxbay.locations.city4.ship.pos.z = 701.07; // KK
	//Name
	worldMap.islands.Oxbay.locations.city2.name = "Lighthouse";
	//Geometry parameters
	worldMap.islands.Oxbay.locations.city2.position.x = 282.709579;
	worldMap.islands.Oxbay.locations.city2.position.y = 5.440002;
	worldMap.islands.Oxbay.locations.city2.position.z = 709.895061;
	worldMap.islands.Oxbay.locations.city2.position.ay = 3.442;
	worldMap.islands.Oxbay.locations.city2.modelName = "leaf";
	worldMap.islands.Oxbay.locations.city2.visible = "false";
	worldMap.islands.Oxbay.locations.city2.move = "false";
	//Label
	worldMap.islands.Oxbay.locations.city2.label.text = "Lighthouse";
	worldMap.islands.Oxbay.locations.city2.label.icon = -1;
	worldMap.islands.Oxbay.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Oxbay.locations.city2.ship.pos.x = 292.63; // KK
	worldMap.islands.Oxbay.locations.city2.ship.pos.z = 697.66; // KK
	//Name
	worldMap.islands.Oxbay.locations.city3.name = "Greenford";
	worldMap.islands.Oxbay.locations.city3.real = "Greenford";
	//Geometry parameters
	worldMap.islands.Oxbay.locations.city3.position.x = 343.052856;
	worldMap.islands.Oxbay.locations.city3.position.y = 5.665001;
	worldMap.islands.Oxbay.locations.city3.position.z = 737.840000;
	worldMap.islands.Oxbay.locations.city3.position.ay = 2.5765;
	worldMap.islands.Oxbay.locations.city3.modelName = "town";
	worldMap.islands.Oxbay.locations.city3.visible = "false";
	worldMap.islands.Oxbay.locations.city3.move = "false";
	//Label
	worldMap.islands.Oxbay.locations.city3.label.text = "Greenford";
	worldMap.islands.Oxbay.locations.city3.label.icon = ENGLAND;
	worldMap.islands.Oxbay.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Oxbay.locations.city3.ship.pos.x = 350.66; // KK
	worldMap.islands.Oxbay.locations.city3.ship.pos.z = 730.12; // KK

	//4=========================================================================
	//Name
	worldMap.islands.Douwesen.name = "Douwesen";
	//Geometry parameters
	worldMap.islands.Douwesen.isVisibleName = 0;
	worldMap.islands.Douwesen.position.x = 775.0;
	worldMap.islands.Douwesen.position.y = 30.0;
	worldMap.islands.Douwesen.position.z = 160.0;
	worldMap.islands.Douwesen.position.rx = 807.3;
	worldMap.islands.Douwesen.position.rz = 149.3;
	worldMap.islands.Douwesen.radius = 110.0;	
	worldMap.islands.Douwesen.kradius = 0.75;
	//Island label
	worldMap.islands.Douwesen.label.text = "Douwesen";
	worldMap.islands.Douwesen.label.icon = -1;
	worldMap.islands.Douwesen.label.visible = "true";

	//City
	//Name
	worldMap.islands.Douwesen.locations.city1.name = "Douwesen";
	worldMap.islands.Douwesen.locations.city1.real = "Douwesen";
	//Geometry parameters
	worldMap.islands.Douwesen.locations.city1.position.x = 780.439728;
	worldMap.islands.Douwesen.locations.city1.position.y = 6.049987;
	worldMap.islands.Douwesen.locations.city1.position.z = 164.659912;
	worldMap.islands.Douwesen.locations.city1.position.ay = 0.0;
	worldMap.islands.Douwesen.locations.city1.modelName = "town";
	worldMap.islands.Douwesen.locations.city1.visible = "false";
	worldMap.islands.Douwesen.locations.city1.move = "false";
	//Label
	worldMap.islands.Douwesen.locations.city1.label.text = "Douwesen";
	worldMap.islands.Douwesen.locations.city1.label.icon = HOLLAND;
	worldMap.islands.Douwesen.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Douwesen.locations.city1.ship.pos.x = 795.56; // KK
	worldMap.islands.Douwesen.locations.city1.ship.pos.z = 143.54; // KK
	//Name
	worldMap.islands.Douwesen.locations.city2.name = "DShore 1";
	//Geometry parameters
	worldMap.islands.Douwesen.locations.city2.position.x = 767.739746;
	worldMap.islands.Douwesen.locations.city2.position.y = 1.839987;
	worldMap.islands.Douwesen.locations.city2.position.z = 184.559875;
	worldMap.islands.Douwesen.locations.city2.position.ay = 0.0;
	worldMap.islands.Douwesen.locations.city2.modelName = "leaf";
	worldMap.islands.Douwesen.locations.city2.visible = "false";
	worldMap.islands.Douwesen.locations.city2.move = "false";
	//Label
	worldMap.islands.Douwesen.locations.city2.label.text = "Palm Beach";
	worldMap.islands.Douwesen.locations.city2.label.icon = -1;
	worldMap.islands.Douwesen.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Douwesen.locations.city2.ship.pos.x = 744.87; // KK
	worldMap.islands.Douwesen.locations.city2.ship.pos.z = 185.66; // KK
	//Name
	worldMap.islands.Douwesen.locations.city3.name = "DShore 2";
	//Geometry parameters
	worldMap.islands.Douwesen.locations.city3.position.x = 762.239685;
	worldMap.islands.Douwesen.locations.city3.position.y = 6.049987;
	worldMap.islands.Douwesen.locations.city3.position.z = 185.859955;
	worldMap.islands.Douwesen.locations.city3.position.ay = 0.0;
	worldMap.islands.Douwesen.locations.city3.modelName = "leaf";
	worldMap.islands.Douwesen.locations.city3.visible = "false";
	worldMap.islands.Douwesen.locations.city3.move = "false";
	//Label
	worldMap.islands.Douwesen.locations.city3.label.text = "Crab Cliffs";
	worldMap.islands.Douwesen.locations.city3.label.icon = -1;
	worldMap.islands.Douwesen.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Douwesen.locations.city3.ship.pos.x = 830.07; // KK
	worldMap.islands.Douwesen.locations.city3.ship.pos.z = 193.75; // KK

	//5=========================================================================
	//Name
	worldMap.islands.Conceicao.name = "Conceicao";
	//Geometry parameters
	worldMap.islands.Conceicao.isVisibleName = 0;
	worldMap.islands.Conceicao.position.x = 795.0;
	worldMap.islands.Conceicao.position.y = 30.0;
	worldMap.islands.Conceicao.position.z = 625.0;
	worldMap.islands.Conceicao.position.rx = 871.0;
	worldMap.islands.Conceicao.position.rz = 638.1;
	worldMap.islands.Conceicao.radius = 120.0;	
	worldMap.islands.Conceicao.kradius = 0.75;
	//Island label
	worldMap.islands.Conceicao.label.text = "Conceicao";
	worldMap.islands.Conceicao.label.icon = -1;
	worldMap.islands.Conceicao.label.visible = "true";
	//City
	//Name
	worldMap.islands.Conceicao.locations.city1.name = "CShore 1";
	//Geometry parameters
	worldMap.islands.Conceicao.locations.city1.position.x = 805.399963;
	worldMap.islands.Conceicao.locations.city1.position.y = 8.719997;
	worldMap.islands.Conceicao.locations.city1.position.z = 592.0;
	worldMap.islands.Conceicao.locations.city1.position.ay = 0.0;
	worldMap.islands.Conceicao.locations.city1.modelName = "leaf";
	worldMap.islands.Conceicao.locations.city1.visible = "false";
	worldMap.islands.Conceicao.locations.city1.move = "false";
	//Label
	worldMap.islands.Conceicao.locations.city1.label.text = "Sunny Haven";
	worldMap.islands.Conceicao.locations.city1.label.icon = -1;
	worldMap.islands.Conceicao.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Conceicao.locations.city1.ship.pos.x = 806.58; // KK
	worldMap.islands.Conceicao.locations.city1.ship.pos.z = 580.07; // KK
	//Name
	worldMap.islands.Conceicao.locations.city2.name = "Conceicao";
	worldMap.islands.Conceicao.locations.city2.real = "Conceicao";
	//Geometry parameters
	worldMap.islands.Conceicao.locations.city2.position.x = 786.734070;
	worldMap.islands.Conceicao.locations.city2.position.y = 6.054986;
	worldMap.islands.Conceicao.locations.city2.position.z = 615.279358;
	worldMap.islands.Conceicao.locations.city2.position.ay = 0.0;
	worldMap.islands.Conceicao.locations.city2.modelName = "town";
	worldMap.islands.Conceicao.locations.city2.visible = "false";
	worldMap.islands.Conceicao.locations.city2.move = "false";
	//Label
	worldMap.islands.Conceicao.locations.city2.label.text = "Conceicao";
	worldMap.islands.Conceicao.locations.city2.label.icon = PORTUGAL;
	worldMap.islands.Conceicao.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Conceicao.locations.city2.ship.pos.x = 762.38; // KK
	worldMap.islands.Conceicao.locations.city2.ship.pos.z = 622.52; // KK
	//Name
	worldMap.islands.Conceicao.locations.city3.name = "CShore 2";
	//Geometry parameters
	worldMap.islands.Conceicao.locations.city3.position.x = 823.856079;
	worldMap.islands.Conceicao.locations.city3.position.y = 4.875000;
	worldMap.islands.Conceicao.locations.city3.position.z = 647.059357;
	worldMap.islands.Conceicao.locations.city3.position.ay = 0.0;
	worldMap.islands.Conceicao.locations.city3.modelName = "leaf";
	worldMap.islands.Conceicao.locations.city3.visible = "false";
	worldMap.islands.Conceicao.locations.city3.move = "false";
	//Label
	worldMap.islands.Conceicao.locations.city3.label.text = "Leviathan Rock";
	worldMap.islands.Conceicao.locations.city3.label.icon = -1;
	worldMap.islands.Conceicao.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Conceicao.locations.city3.ship.pos.x = 832.40; // KK
	worldMap.islands.Conceicao.locations.city3.ship.pos.z = 664.72; // KK

	//6=========================================================================
	//Name
	worldMap.islands.IslaMuelle.name = "IslaMuelle";
	//Geometry parameters
	worldMap.islands.IslaMuelle.isVisibleName = 0;
	worldMap.islands.IslaMuelle.position.x = -750.0;
	worldMap.islands.IslaMuelle.position.y = 30.0;
	worldMap.islands.IslaMuelle.position.z = 110.0;
	worldMap.islands.IslaMuelle.position.rx = -829.1;
	worldMap.islands.IslaMuelle.position.rz = 120.5;
	worldMap.islands.IslaMuelle.radius = 185.0;	
	worldMap.islands.IslaMuelle.kradius = 0.75;
	//Island label
	worldMap.islands.IslaMuelle.label.text = "Isla Muelle";
	worldMap.islands.IslaMuelle.label.icon = -1;
	worldMap.islands.IslaMuelle.label.visible = "true";

	//City
	//Name
	worldMap.islands.IslaMuelle.locations.city1.name = "Isla Muelle";
	worldMap.islands.IslaMuelle.locations.city1.real = "Isla Muelle";
	//Geometry parameters
	worldMap.islands.IslaMuelle.locations.city1.position.x = -729.571899;
	worldMap.islands.IslaMuelle.locations.city1.position.y = 6.859980;
	worldMap.islands.IslaMuelle.locations.city1.position.z = 118.555008;
	worldMap.islands.IslaMuelle.locations.city1.position.ay = 0.0;
	worldMap.islands.IslaMuelle.locations.city1.modelName = "town";
	worldMap.islands.IslaMuelle.locations.city1.visible = "false";
	worldMap.islands.IslaMuelle.locations.city1.move = "false";
	//Label
	worldMap.islands.IslaMuelle.locations.city1.label.text = "Isla Muelle";
	worldMap.islands.IslaMuelle.locations.city1.label.icon = SPAIN;
	worldMap.islands.IslaMuelle.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.IslaMuelle.locations.city1.ship.pos.x = -707.28; // KK
	worldMap.islands.IslaMuelle.locations.city1.ship.pos.z = 88.64; // KK
	//Name
	worldMap.islands.IslaMuelle.locations.city2.name = "MShore 1";
	//Geometry parameters
	worldMap.islands.IslaMuelle.locations.city2.position.x = -724.171875;
	worldMap.islands.IslaMuelle.locations.city2.position.y = 6.544977;
	worldMap.islands.IslaMuelle.locations.city2.position.z = 212.595005;
	worldMap.islands.IslaMuelle.locations.city2.position.ay = 0.0;
	worldMap.islands.IslaMuelle.locations.city2.modelName = "leaf";
	worldMap.islands.IslaMuelle.locations.city2.visible = "false";
	worldMap.islands.IslaMuelle.locations.city2.move = "false";
	//Label
	worldMap.islands.IslaMuelle.locations.city2.label.text = "Oyster Beach";
	worldMap.islands.IslaMuelle.locations.city2.label.icon = -1;
	worldMap.islands.IslaMuelle.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.IslaMuelle.locations.city2.ship.pos.x = -828.76; // KK
	worldMap.islands.IslaMuelle.locations.city2.ship.pos.z = 162.73; // KK
	//Name
	worldMap.islands.IslaMuelle.locations.city3.name = "MShore 2";
	//Geometry parameters
	worldMap.islands.IslaMuelle.locations.city3.position.x = -821.272522;
	worldMap.islands.IslaMuelle.locations.city3.position.y = 6.544977;
	worldMap.islands.IslaMuelle.locations.city3.position.z =  140.804977;
	worldMap.islands.IslaMuelle.locations.city3.position.ay = 0.0;
	worldMap.islands.IslaMuelle.locations.city3.modelName = "leaf";
	worldMap.islands.IslaMuelle.locations.city3.visible = "false";
	worldMap.islands.IslaMuelle.locations.city3.move = "false";
	//Label
	worldMap.islands.IslaMuelle.locations.city3.label.text = "Hidden Coast";
	worldMap.islands.IslaMuelle.locations.city3.label.icon = -1;
	worldMap.islands.IslaMuelle.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.IslaMuelle.locations.city3.ship.pos.x = -704.76; // KK
	worldMap.islands.IslaMuelle.locations.city3.ship.pos.z = 217.63; // KK

	//7=========================================================================
	//Name
	worldMap.islands.QuebradasCostillas.name = "QuebradasCostillas";
	//Geometry parameters
	worldMap.islands.QuebradasCostillas.isVisibleName = 0;
	worldMap.islands.QuebradasCostillas.position.x = -670.0;
	worldMap.islands.QuebradasCostillas.position.y = 30.0;
	worldMap.islands.QuebradasCostillas.position.z = 520.0;
	worldMap.islands.QuebradasCostillas.position.rx = -637.7;
	worldMap.islands.QuebradasCostillas.position.rz = 553.7;
	worldMap.islands.QuebradasCostillas.radius = 110.0;	
	worldMap.islands.QuebradasCostillas.kradius = 0.75;
	//Island label
	worldMap.islands.QuebradasCostillas.label.text = "Quebradas Costillas";
	worldMap.islands.QuebradasCostillas.label.icon = -1;
	worldMap.islands.QuebradasCostillas.label.visible = "true";

	//City
	//Name
	worldMap.islands.QuebradasCostillas.locations.city1.name = "Quebradas Costillas";
	worldMap.islands.QuebradasCostillas.locations.city1.real = "Quebradas Costillas";
	//Geometry parameters
	worldMap.islands.QuebradasCostillas.locations.city1.position.x = -662.385010;
	worldMap.islands.QuebradasCostillas.locations.city1.position.y = 9.134986;
	worldMap.islands.QuebradasCostillas.locations.city1.position.z = 535.290100;
	worldMap.islands.QuebradasCostillas.locations.city1.position.ay = 0.0;
	worldMap.islands.QuebradasCostillas.locations.city1.modelName = "town";
	worldMap.islands.QuebradasCostillas.locations.city1.visible = "false";
	worldMap.islands.QuebradasCostillas.locations.city1.move = "false";
	//Label
	worldMap.islands.QuebradasCostillas.locations.city1.label.text = "Pirate Port";
	worldMap.islands.QuebradasCostillas.locations.city1.label.icon = PIRATE;
	worldMap.islands.QuebradasCostillas.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.QuebradasCostillas.locations.city1.ship.pos.x = -655.45; // KK
	worldMap.islands.QuebradasCostillas.locations.city1.ship.pos.z = 548.53; // KK
	//Name
	worldMap.islands.QuebradasCostillas.locations.city2.name = "Charlestown";
	worldMap.islands.QuebradasCostillas.locations.city2.real = "Charlestown";
	//Geometry parameters
	worldMap.islands.QuebradasCostillas.locations.city2.position.x = -611,3486;
	worldMap.islands.QuebradasCostillas.locations.city2.position.y = 9.134986;
	worldMap.islands.QuebradasCostillas.locations.city2.position.z = 487.7381;
	worldMap.islands.QuebradasCostillas.locations.city2.position.ay = 0.0;
	worldMap.islands.QuebradasCostillas.locations.city2.modelName = "town";
	worldMap.islands.QuebradasCostillas.locations.city2.visible = "false";
	worldMap.islands.QuebradasCostillas.locations.city2.move = "false";
	//Label
	worldMap.islands.QuebradasCostillas.locations.city2.label.text = "Charlestown";
	worldMap.islands.QuebradasCostillas.locations.city2.label.icon = ENGLAND;
	worldMap.islands.QuebradasCostillas.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.QuebradasCostillas.locations.city2.ship.pos.x = -595.06; // KK
	worldMap.islands.QuebradasCostillas.locations.city2.ship.pos.z = 491.34; // KK
	//Name
	worldMap.islands.QuebradasCostillas.locations.city3.name = "QC_Shore1";
	//Geometry parameters
	worldMap.islands.QuebradasCostillas.locations.city3.position.x = -695,3787;
	worldMap.islands.QuebradasCostillas.locations.city3.position.y = 5.665001;
	worldMap.islands.QuebradasCostillas.locations.city3.position.z = 526,35;
	worldMap.islands.QuebradasCostillas.locations.city3.position.ay = 2.5765;
	worldMap.islands.QuebradasCostillas.locations.city3.modelName = "leaf";
	worldMap.islands.QuebradasCostillas.locations.city3.visible = "false";
	worldMap.islands.QuebradasCostillas.locations.city3.move = "false";
	//Label
	worldMap.islands.QuebradasCostillas.locations.city3.label.text = "White Bay";
	worldMap.islands.QuebradasCostillas.locations.city3.label.icon = -1;
	worldMap.islands.QuebradasCostillas.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.QuebradasCostillas.locations.city3.ship.pos.x = -710.99; // KK
	worldMap.islands.QuebradasCostillas.locations.city3.ship.pos.z = 547.75; // KK

	//8=========================================================================
	//Name
	worldMap.islands.KhaelRoa.name = "KhaelRoa";
	//Geometry parameters
	worldMap.islands.KhaelRoa.isVisibleName = 0;
	worldMap.islands.KhaelRoa.position.x = 843.0;
	worldMap.islands.KhaelRoa.position.y = 30.0;
	worldMap.islands.KhaelRoa.position.z = -496.0;
	worldMap.islands.KhaelRoa.position.rx = 846.7;
	worldMap.islands.KhaelRoa.position.rz = -487.6;
	worldMap.islands.KhaelRoa.radius = 90.0;
	worldMap.islands.KhaelRoa.kradius = 0.75;
	//Island label
	worldMap.islands.KhaelRoa.label.text = "Khael Roa";
	worldMap.islands.KhaelRoa.label.icon = -1;
	worldMap.islands.KhaelRoa.label.visible = "true";

	//City
	//Name
	worldMap.islands.KhaelRoa.locations.city1.name = "Khael Roa";
	//Geometry parameters
	worldMap.islands.KhaelRoa.locations.city1.position.x = 828.444763;
	worldMap.islands.KhaelRoa.locations.city1.position.y = 3.545050;
	worldMap.islands.KhaelRoa.locations.city1.position.z = -491.020996;
	worldMap.islands.KhaelRoa.locations.city1.position.ay = 0.0;
	worldMap.islands.KhaelRoa.locations.city1.modelName = "leaf";
	worldMap.islands.KhaelRoa.locations.city1.visible = "false";
	worldMap.islands.KhaelRoa.locations.city1.move = "false";
	//Label
	worldMap.islands.KhaelRoa.locations.city1.label.text = "Khael Roa";
	worldMap.islands.KhaelRoa.locations.city1.label.icon = -1;
	worldMap.islands.KhaelRoa.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.KhaelRoa.locations.city1.ship.pos.x = 892.71; // KK
	worldMap.islands.KhaelRoa.locations.city1.ship.pos.z = -531.59; // KK

	//9=========================================================================
	//Name
	worldMap.islands.Cayman.name = "Cayman";
	//Geometry parameters
	worldMap.islands.Cayman.isVisibleName = 0;
	worldMap.islands.Cayman.position.x = 430.0;
	worldMap.islands.Cayman.position.y = 30.0;
	worldMap.islands.Cayman.position.z = -430.0;
	worldMap.islands.Cayman.position.rx = 424.3;
	worldMap.islands.Cayman.position.rz = -418.3;
	worldMap.islands.Cayman.radius = 120.0;	
	worldMap.islands.Cayman.kradius = 0.75;
	//Island label
	worldMap.islands.Cayman.label.text = "Cayman";
	worldMap.islands.Cayman.label.icon = -1;
	worldMap.islands.Cayman.label.visible = "true";

	//City
	//Name
	worldMap.islands.Cayman.locations.city1.name = "Grand Cayman";
	worldMap.islands.Cayman.locations.city1.real = "Grand Cayman";
	//Geometry parameters
	worldMap.islands.Cayman.locations.city1.position.x = 395.3;
	worldMap.islands.Cayman.locations.city1.position.y = 5.665001;
	worldMap.islands.Cayman.locations.city1.position.z = -405.3;
	worldMap.islands.Cayman.locations.city1.position.ay = 2.5765;
	worldMap.islands.Cayman.locations.city1.modelName = "town";
	worldMap.islands.Cayman.locations.city1.visible = "false";
	worldMap.islands.Cayman.locations.city1.move = "false";
	//Label
	worldMap.islands.Cayman.locations.city1.label.text = "Grand Cayman";
	worldMap.islands.Cayman.locations.city1.label.icon = ENGLAND;
	worldMap.islands.Cayman.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Cayman.locations.city1.ship.pos.x = 414.58; // KK
	worldMap.islands.Cayman.locations.city1.ship.pos.z = -410.89; // KK
// KK --> to be finished -- yes I love such things!!!
	//Name
	worldMap.islands.Cayman.locations.city2.name = "CaymanShore 1";
	//Geometry parameters
	worldMap.islands.Cayman.locations.city2.position.x = 375.36;
	worldMap.islands.Cayman.locations.city2.position.y = 5.665001;
	worldMap.islands.Cayman.locations.city2.position.z = -386.34;
	worldMap.islands.Cayman.locations.city2.position.ay = 2.5765;
	worldMap.islands.Cayman.locations.city2.modelName = "leaf";
	worldMap.islands.Cayman.locations.city2.visible = "false";
	worldMap.islands.Cayman.locations.city2.move = "false";
	//Label
	worldMap.islands.Cayman.locations.city2.label.text = "Eden Rock";
	worldMap.islands.Cayman.locations.city2.label.icon = -1;
	worldMap.islands.Cayman.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Cayman.locations.city2.ship.pos.x = 370.36;
	worldMap.islands.Cayman.locations.city2.ship.pos.z = -397.34;
/*	//Name
	worldMap.islands.Cayman.locations.city3.name = "Cayman_Shore_02";
	//Geometry parameters
	worldMap.islands.Cayman.locations.city3.position.x = 395.3;
	worldMap.islands.Cayman.locations.city3.position.y = 5.665001;
	worldMap.islands.Cayman.locations.city3.position.z = -405.3;
	worldMap.islands.Cayman.locations.city3.position.ay = 2.5765;
	worldMap.islands.Cayman.locations.city3.modelName = "leaf";
	worldMap.islands.Cayman.locations.city3.visible = "false";
	worldMap.islands.Cayman.locations.city3.move = "false";
	//Label
	worldMap.islands.Cayman.locations.city3.label.text = "Cayman Kai";
	worldMap.islands.Cayman.locations.city3.label.icon = -1;
	worldMap.islands.Cayman.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Cayman.locations.city3.ship.pos.x = 427.70;
	worldMap.islands.Cayman.locations.city3.ship.pos.z = -433.27;
	//Name
	worldMap.islands.Cayman.locations.city4.name = "DShore 1";
	//Geometry parameters
	worldMap.islands.Cayman.locations.city4.position.x = 395.3;
	worldMap.islands.Cayman.locations.city4.position.y = 5.665001;
	worldMap.islands.Cayman.locations.city4.position.z = -405.3;
	worldMap.islands.Cayman.locations.city4.position.ay = 2.5765;
	worldMap.islands.Cayman.locations.city4.modelName = "leaf";
	worldMap.islands.Cayman.locations.city4.visible = "false";
	worldMap.islands.Cayman.locations.city4.move = "false";
	//Label
	worldMap.islands.Cayman.locations.city4.label.text = "Sand Bluff";
	worldMap.islands.Cayman.locations.city4.label.icon = -1;
	worldMap.islands.Cayman.locations.city4.label.visible = "false";
	// initial ship location
	worldMap.islands.Cayman.locations.city4.ship.pos.x = 465.58;
	worldMap.islands.Cayman.locations.city4.ship.pos.z = -483.07;*/
// <-- KK

	//10=========================================================================
	//Name
	worldMap.islands.Hispaniola.name = "Hispaniola";
	//Geometry parameters
	worldMap.islands.Hispaniola.isVisibleName = 0;
	worldMap.islands.Hispaniola.position.x = -620.0;
	worldMap.islands.Hispaniola.position.y = 30.0;
	worldMap.islands.Hispaniola.position.z = -370.0;
	worldMap.islands.Hispaniola.position.rx = -592.1;
	worldMap.islands.Hispaniola.position.rz = -351.5;
	worldMap.islands.Hispaniola.radius = 300.0;	
	worldMap.islands.Hispaniola.kradius = 0.75;
	//Island label
	worldMap.islands.Hispaniola.label.text = "Hispaniola";
	worldMap.islands.Hispaniola.label.icon = -1;
	worldMap.islands.Hispaniola.label.visible = "true";

	//City
	//Name
	worldMap.islands.Hispaniola.locations.city1.name = "Port au Prince";
	worldMap.islands.Hispaniola.locations.city1.real = "Port au Prince";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city1.position.x = -532.1;
	worldMap.islands.Hispaniola.locations.city1.position.y = 5.665001;
	worldMap.islands.Hispaniola.locations.city1.position.z = -330.5;
	worldMap.islands.Hispaniola.locations.city1.position.ay = 2.5765;
	worldMap.islands.Hispaniola.locations.city1.modelName = "town";
	worldMap.islands.Hispaniola.locations.city1.visible = "false";
	worldMap.islands.Hispaniola.locations.city1.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city1.label.text = "Port au Prince";
	worldMap.islands.Hispaniola.locations.city1.label.icon = FRANCE;
	worldMap.islands.Hispaniola.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city1.ship.pos.x = -514.68; // KK
	worldMap.islands.Hispaniola.locations.city1.ship.pos.z = -341.95; // KK
	//Name
	worldMap.islands.Hispaniola.locations.city2.name = "Santo Domingo";
	worldMap.islands.Hispaniola.locations.city2.real = "Santo Domingo";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city2.position.x = -655.1;
	worldMap.islands.Hispaniola.locations.city2.position.y = 5.665001;
	worldMap.islands.Hispaniola.locations.city2.position.z = -195.5;
	worldMap.islands.Hispaniola.locations.city2.position.ay = 2.5765;
	worldMap.islands.Hispaniola.locations.city2.modelName = "town";
	worldMap.islands.Hispaniola.locations.city2.visible = "false";
	worldMap.islands.Hispaniola.locations.city2.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city2.label.text = "Santo Domingo";
	worldMap.islands.Hispaniola.locations.city2.label.icon = SPAIN;
	worldMap.islands.Hispaniola.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city2.ship.pos.x = -648.12; // KK
	worldMap.islands.Hispaniola.locations.city2.ship.pos.z = -183.32; // KK
	//Name
	worldMap.islands.Hispaniola.locations.city3.name = "Tortuga";
	worldMap.islands.Hispaniola.locations.city3.real = "Tortuga";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city3.position.x = -510.1;
	worldMap.islands.Hispaniola.locations.city3.position.y = 5.665001;
	worldMap.islands.Hispaniola.locations.city3.position.z = -580.5;
	worldMap.islands.Hispaniola.locations.city3.position.ay = 2.5765;
	worldMap.islands.Hispaniola.locations.city3.modelName = "town";
	worldMap.islands.Hispaniola.locations.city3.visible = "false";
	worldMap.islands.Hispaniola.locations.city3.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city3.label.text = "Tortuga";
	worldMap.islands.Hispaniola.locations.city3.label.icon = PIRATE;
	worldMap.islands.Hispaniola.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city3.ship.pos.x = -515.69; // KK
	worldMap.islands.Hispaniola.locations.city3.ship.pos.z = -571.78; // KK
// KK --> to be finished
	//Name
	worldMap.islands.Hispaniola.locations.city4.name = "HiShore 1";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city4.position.x = -175.300018;
	worldMap.islands.Hispaniola.locations.city4.position.y = 2.905003;
	worldMap.islands.Hispaniola.locations.city4.position.z = 801.800110;
	worldMap.islands.Hispaniola.locations.city4.position.ay = 0.0;
	worldMap.islands.Hispaniola.locations.city4.modelName = "leaf";
	worldMap.islands.Hispaniola.locations.city4.visible = "false";
	worldMap.islands.Hispaniola.locations.city4.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city4.label.text = "Boca de Yuman";
	worldMap.islands.Hispaniola.locations.city4.label.icon = -1;
	worldMap.islands.Hispaniola.locations.city4.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city4.ship.pos.x = -714.77;
	worldMap.islands.Hispaniola.locations.city4.ship.pos.z = -140.58;
	//Name
	worldMap.islands.Hispaniola.locations.city5.name = "HiShore 2";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city5.position.x = -175.300018;
	worldMap.islands.Hispaniola.locations.city5.position.y = 2.905003;
	worldMap.islands.Hispaniola.locations.city5.position.z = 801.800110;
	worldMap.islands.Hispaniola.locations.city5.position.ay = 0.0;
	worldMap.islands.Hispaniola.locations.city5.modelName = "leaf";
	worldMap.islands.Hispaniola.locations.city5.visible = "false";
	worldMap.islands.Hispaniola.locations.city5.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city5.label.text = "Boca de Hubon";
	worldMap.islands.Hispaniola.locations.city5.label.icon = -1;
	worldMap.islands.Hispaniola.locations.city5.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city5.ship.pos.x = -659.29;
	worldMap.islands.Hispaniola.locations.city5.ship.pos.z = -394.12;
	//Name
	worldMap.islands.Hispaniola.locations.city6.name = "HiShore 3";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city6.position.x = -175.300018;
	worldMap.islands.Hispaniola.locations.city6.position.y = 2.905003;
	worldMap.islands.Hispaniola.locations.city6.position.z = 801.800110;
	worldMap.islands.Hispaniola.locations.city6.position.ay = 0.0;
	worldMap.islands.Hispaniola.locations.city6.modelName = "leaf";
	worldMap.islands.Hispaniola.locations.city6.visible = "false";
	worldMap.islands.Hispaniola.locations.city6.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city6.label.text = "Cape Francos";
	worldMap.islands.Hispaniola.locations.city6.label.icon = -1;
	worldMap.islands.Hispaniola.locations.city6.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city6.ship.pos.x = -768.88;
	worldMap.islands.Hispaniola.locations.city6.ship.pos.z = -354.27;
	//Name
	worldMap.islands.Hispaniola.locations.city7.name = "HiShore 4";
	//Geometry parameters
	worldMap.islands.Hispaniola.locations.city7.position.x = -175.300018;
	worldMap.islands.Hispaniola.locations.city7.position.y = 2.905003;
	worldMap.islands.Hispaniola.locations.city7.position.z = 801.800110;
	worldMap.islands.Hispaniola.locations.city7.position.ay = 0.0;
	worldMap.islands.Hispaniola.locations.city7.modelName = "leaf";
	worldMap.islands.Hispaniola.locations.city7.visible = "false";
	worldMap.islands.Hispaniola.locations.city7.move = "false";
	//Label
	worldMap.islands.Hispaniola.locations.city7.label.text = "Ile a Vache";
	worldMap.islands.Hispaniola.locations.city7.label.icon = -1;
	worldMap.islands.Hispaniola.locations.city7.label.visible = "false";
	// initial ship location
	worldMap.islands.Hispaniola.locations.city7.ship.pos.x = -546.89;
	worldMap.islands.Hispaniola.locations.city7.ship.pos.z = 235.30;
// <-- KK

	//11=========================================================================
	//Name
	worldMap.islands.Cuba.name = "Cuba";
	//Geometry parameters
	worldMap.islands.Cuba.isVisibleName = 0;
	worldMap.islands.Cuba.position.x = -55.0;
	worldMap.islands.Cuba.position.y = 30.0;
	worldMap.islands.Cuba.position.z = -763.0;
	worldMap.islands.Cuba.position.rx = -55;
	worldMap.islands.Cuba.position.rz = -810.5;
	worldMap.islands.Cuba.radius = 379.0;	
	worldMap.islands.Cuba.kradius = 0.75;
	//Island label
	worldMap.islands.Cuba.label.text = "Cuba";
	worldMap.islands.Cuba.label.icon = -1;
	worldMap.islands.Cuba.label.visible = "true";

	//City
	//Name
	worldMap.islands.Cuba.locations.city1.name = "Havana";
	worldMap.islands.Cuba.locations.city1.real = "Havana";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city1.position.x = 145.3;
	worldMap.islands.Cuba.locations.city1.position.y = 5.665001;
	worldMap.islands.Cuba.locations.city1.position.z = -880.5;
	worldMap.islands.Cuba.locations.city1.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city1.modelName = "town";
	worldMap.islands.Cuba.locations.city1.visible = "false";
	worldMap.islands.Cuba.locations.city1.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city1.label.text = "Havana";
	worldMap.islands.Cuba.locations.city1.label.icon = SPAIN;
	worldMap.islands.Cuba.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city1.ship.pos.x = 155.35; // KK
	worldMap.islands.Cuba.locations.city1.ship.pos.z = -893.23; // KK
	//Name
	worldMap.islands.Cuba.locations.city2.name = "Santiago";
	worldMap.islands.Cuba.locations.city2.real = "Santiago";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city2.position.x = -183;
	worldMap.islands.Cuba.locations.city2.position.y = 5.665001;
	worldMap.islands.Cuba.locations.city2.position.z = -553.5;
	worldMap.islands.Cuba.locations.city2.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city2.modelName = "town";
	worldMap.islands.Cuba.locations.city2.visible = "false";
	worldMap.islands.Cuba.locations.city2.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city2.label.text = "Santiago";
	worldMap.islands.Cuba.locations.city2.label.icon = SPAIN;
	worldMap.islands.Cuba.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city2.ship.pos.x = -182.97; // KK
	worldMap.islands.Cuba.locations.city2.ship.pos.z = -536.68; // KK
// KK --> to be finished
/*	//Name
	worldMap.islands.Cuba.locations.city3.name = "CubShore 1";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city3.position.x = -681.5;
	worldMap.islands.Cuba.locations.city3.position.y = 4.665001;
	worldMap.islands.Cuba.locations.city3.position.z = -540.5;
	worldMap.islands.Cuba.locations.city3.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city3.modelName = "leaf";
	worldMap.islands.Cuba.locations.city3.visible = "false";
	worldMap.islands.Cuba.locations.city3.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city3.label.text = "Bahia de San Antonio";
	worldMap.islands.Cuba.locations.city3.label.icon = -1;
	worldMap.islands.Cuba.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city3.ship.pos.x = -84.39;
	worldMap.islands.Cuba.locations.city3.ship.pos.z = -718.44;
	//Name
	worldMap.islands.Cuba.locations.city4.name = "MShore 1";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city4.position.x = -681.5;
	worldMap.islands.Cuba.locations.city4.position.y = 4.665001;
	worldMap.islands.Cuba.locations.city4.position.z = -540.5;
	worldMap.islands.Cuba.locations.city4.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city4.modelName = "leaf";
	worldMap.islands.Cuba.locations.city4.visible = "false";
	worldMap.islands.Cuba.locations.city4.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city4.label.text = "Bahia de Moa";
	worldMap.islands.Cuba.locations.city4.label.icon = -1;
	worldMap.islands.Cuba.locations.city4.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city4.ship.pos.x = 83.89;
	worldMap.islands.Cuba.locations.city4.ship.pos.z = -794.65;
	//Name
	worldMap.islands.Cuba.locations.city5.name = "CubShore 3";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city5.position.x = -681.5;
	worldMap.islands.Cuba.locations.city5.position.y = 4.665001;
	worldMap.islands.Cuba.locations.city5.position.z = -540.5;
	worldMap.islands.Cuba.locations.city5.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city5.modelName = "leaf";
	worldMap.islands.Cuba.locations.city5.visible = "false";
	worldMap.islands.Cuba.locations.city5.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city5.label.text = "Punta de Maisi";
	worldMap.islands.Cuba.locations.city5.label.icon = -1;
	worldMap.islands.Cuba.locations.city5.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city5.ship.pos.x = -30.95;
	worldMap.islands.Cuba.locations.city5.ship.pos.z = -739.73;
	//Name
	worldMap.islands.Cuba.locations.city6.name = "CubShore 4";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city6.position.x = -681.5;
	worldMap.islands.Cuba.locations.city6.position.y = 4.665001;
	worldMap.islands.Cuba.locations.city6.position.z = -540.5;
	worldMap.islands.Cuba.locations.city6.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city6.modelName = "leaf";
	worldMap.islands.Cuba.locations.city6.visible = "false";
	worldMap.islands.Cuba.locations.city6.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city6.label.text = "Playa de Sabana";
	worldMap.islands.Cuba.locations.city6.label.icon = -1;
	worldMap.islands.Cuba.locations.city6.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city6.ship.pos.x = -227.77;
	worldMap.islands.Cuba.locations.city6.ship.pos.z = -692.75;
	//Name
	worldMap.islands.Cuba.locations.city7.name = "CubShore 5";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city7.position.x = -681.5;
	worldMap.islands.Cuba.locations.city7.position.y = 4.665001;
	worldMap.islands.Cuba.locations.city7.position.z = -540.5;
	worldMap.islands.Cuba.locations.city7.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city7.modelName = "leaf";
	worldMap.islands.Cuba.locations.city7.visible = "false";
	worldMap.islands.Cuba.locations.city7.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city7.label.text = "Playa de Sierra Maestra";
	worldMap.islands.Cuba.locations.city7.label.icon = -1;
	worldMap.islands.Cuba.locations.city7.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city7.ship.pos.x = -135.25;
	worldMap.islands.Cuba.locations.city7.ship.pos.z = -535.08;
	//Name
	worldMap.islands.Cuba.locations.city8.name = "CubShore 6";
	//Geometry parameters
	worldMap.islands.Cuba.locations.city8.position.x = -681.5;
	worldMap.islands.Cuba.locations.city8.position.y = 4.665001;
	worldMap.islands.Cuba.locations.city8.position.z = -540.5;
	worldMap.islands.Cuba.locations.city8.position.ay = 2.5765;
	worldMap.islands.Cuba.locations.city8.modelName = "leaf";
	worldMap.islands.Cuba.locations.city8.visible = "false";
	worldMap.islands.Cuba.locations.city8.move = "false";
	//Label
	worldMap.islands.Cuba.locations.city8.label.text = "Peninsula de Zapata";
	worldMap.islands.Cuba.locations.city8.label.icon = -1;
	worldMap.islands.Cuba.locations.city8.label.visible = "false";
	// initial ship location
	worldMap.islands.Cuba.locations.city8.ship.pos.x = 87.99;
	worldMap.islands.Cuba.locations.city8.ship.pos.z = -931.16;*/
// <-- KK

	//12=========================================================================
	//Name
	worldMap.islands.Guadeloupe.name = "Guadeloupe";
	//Geometry parameters
	worldMap.islands.Guadeloupe.isVisibleName = 0;
	worldMap.islands.Guadeloupe.position.x = -450.0;
	worldMap.islands.Guadeloupe.position.y = 30.0;
	worldMap.islands.Guadeloupe.position.z = 630.0;
	worldMap.islands.Guadeloupe.position.rx = -470;
	worldMap.islands.Guadeloupe.position.rz = 635.5;
	worldMap.islands.Guadeloupe.radius = 120.0;	
	worldMap.islands.Guadeloupe.kradius = 0.75;
	//Island label
	worldMap.islands.Guadeloupe.label.text = "Guadeloupe";
	worldMap.islands.Guadeloupe.label.icon = -1;
	worldMap.islands.Guadeloupe.label.visible = "true";

	//City
	//Name
	worldMap.islands.Guadeloupe.locations.city1.name = "Pointe a Pitre";
	worldMap.islands.Guadeloupe.locations.city1.real = "Pointe a Pitre";
	//Geometry parameters
	worldMap.islands.Guadeloupe.locations.city1.position.x = -445;
	worldMap.islands.Guadeloupe.locations.city1.position.y = 5.665001;
	worldMap.islands.Guadeloupe.locations.city1.position.z = 618.5;
	worldMap.islands.Guadeloupe.locations.city1.position.ay = 2.5765;
	worldMap.islands.Guadeloupe.locations.city1.modelName = "town";
	worldMap.islands.Guadeloupe.locations.city1.visible = "false";
	worldMap.islands.Guadeloupe.locations.city1.move = "false";
	//Label
	worldMap.islands.Guadeloupe.locations.city1.label.text = "Pointe  Pitre";
	worldMap.islands.Guadeloupe.locations.city1.label.icon = FRANCE;
	worldMap.islands.Guadeloupe.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Guadeloupe.locations.city1.ship.pos.x = -446.72; // KK
	worldMap.islands.Guadeloupe.locations.city1.ship.pos.z = 628.86; // KK
// KK --> to be finished
/*	//Name
	worldMap.islands.Guadeloupe.locations.city2.name = "GuadShore 1";
	//Geometry parameters
	worldMap.islands.Guadeloupe.locations.city2.position.x = -175.300018;
	worldMap.islands.Guadeloupe.locations.city2.position.y = 2.905003;
	worldMap.islands.Guadeloupe.locations.city2.position.z = 801.800110;
	worldMap.islands.Guadeloupe.locations.city2.position.ay = 0.0;
	worldMap.islands.Guadeloupe.locations.city2.modelName = "leaf";
	worldMap.islands.Guadeloupe.locations.city2.visible = "false";
	worldMap.islands.Guadeloupe.locations.city2.move = "false";
	//Label
	worldMap.islands.Guadeloupe.locations.city2.label.text = "Anse Casse-Bois";
	worldMap.islands.Guadeloupe.locations.city2.label.icon = -1;
	worldMap.islands.Guadeloupe.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Guadeloupe.locations.city2.ship.pos.x = -422.81;
	worldMap.islands.Guadeloupe.locations.city2.ship.pos.z = 695.83;*/
// <-- KK

	//13=========================================================================
	//Name
	// LDH changed from .Sent. - 31Dec08
	worldMap.islands.SaintMartin.name = "SaintMartin";
	//Geometry parameters
	worldMap.islands.SaintMartin.isVisibleName = 0;
	worldMap.islands.SaintMartin.position.x = -925.0;
	worldMap.islands.SaintMartin.position.y = 30.0;
	worldMap.islands.SaintMartin.position.z = 485.0;
	worldMap.islands.SaintMartin.position.rx = -922.5;
	worldMap.islands.SaintMartin.position.rz = 482.5;
	worldMap.islands.SaintMartin.radius = 90.0;	
	worldMap.islands.SaintMartin.kradius = 0.75;
	//Island label
	worldMap.islands.SaintMartin.label.text = "Saint Martin";
	worldMap.islands.SaintMartin.label.icon = -1;
	worldMap.islands.SaintMartin.label.visible = "true";

	//City
	//Name
	worldMap.islands.SaintMartin.locations.city1.name = "Marigot";
	worldMap.islands.SaintMartin.locations.city1.real = "Marigot";
	//Geometry parameters
	worldMap.islands.SaintMartin.locations.city1.position.x = -920.5;
	worldMap.islands.SaintMartin.locations.city1.position.y = 4.665001;
	worldMap.islands.SaintMartin.locations.city1.position.z = 470.5;
	worldMap.islands.SaintMartin.locations.city1.position.ay = 1.5765;
	worldMap.islands.SaintMartin.locations.city1.modelName = "town";
	worldMap.islands.SaintMartin.locations.city1.visible = "false";
	worldMap.islands.SaintMartin.locations.city1.move = "false";
	//Label
	worldMap.islands.SaintMartin.locations.city1.label.text = "Marigot";
	worldMap.islands.SaintMartin.locations.city1.label.icon = FRANCE;
	worldMap.islands.SaintMartin.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.SaintMartin.locations.city1.ship.pos.x = -945.50; // KK
	worldMap.islands.SaintMartin.locations.city1.ship.pos.z = 503.75; // KK
	//Name
	worldMap.islands.SaintMartin.locations.city2.name = "Philipsburg";
	worldMap.islands.SaintMartin.locations.city2.real = "Philipsburg";
	//Geometry parameters
	worldMap.islands.SaintMartin.locations.city2.position.x = -920.5;
	worldMap.islands.SaintMartin.locations.city2.position.y = 4.665001;
	worldMap.islands.SaintMartin.locations.city2.position.z = 470.5;
	worldMap.islands.SaintMartin.locations.city2.position.ay = 1.5765;
	worldMap.islands.SaintMartin.locations.city2.modelName = "town";
	worldMap.islands.SaintMartin.locations.city2.visible = "false";
	worldMap.islands.SaintMartin.locations.city2.move = "false";
	//Label
	worldMap.islands.SaintMartin.locations.city2.label.text = "Philipsburg";
	worldMap.islands.SaintMartin.locations.city2.label.icon = HOLLAND;
	worldMap.islands.SaintMartin.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.SaintMartin.locations.city2.ship.pos.x = -912.25; // KK
	worldMap.islands.SaintMartin.locations.city2.ship.pos.z = 465.70; // KK
// KK --> to be finished
/*	//Name
	worldMap.islands.SaintMartin.locations.city3.name = "SaintMartin_shore_01";
	//Geometry parameters
	worldMap.islands.SaintMartin.locations.city3.position.x = -175.300018;
	worldMap.islands.SaintMartin.locations.city3.position.y = 2.905003;
	worldMap.islands.SaintMartin.locations.city3.position.z = 801.800110;
	worldMap.islands.SaintMartin.locations.city3.position.ay = 0.0;
	worldMap.islands.SaintMartin.locations.city3.modelName = "leaf";
	worldMap.islands.SaintMartin.locations.city3.visible = "false";
	worldMap.islands.SaintMartin.locations.city3.move = "false";
	//Label
	worldMap.islands.SaintMartin.locations.city3.label.text = "Simpson Bay";
	worldMap.islands.SaintMartin.locations.city3.label.icon = -1;
	worldMap.islands.SaintMartin.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.SaintMartin.locations.city3.ship.pos.x = -962.69;
	worldMap.islands.SaintMartin.locations.city3.ship.pos.z = 449.80;
	//Name
	worldMap.islands.SaintMartin.locations.city4.name = "SaintMartin_shore_02";
	//Geometry parameters
	worldMap.islands.SaintMartin.locations.city4.position.x = -175.300018;
	worldMap.islands.SaintMartin.locations.city4.position.y = 2.905003;
	worldMap.islands.SaintMartin.locations.city4.position.z = 801.800110;
	worldMap.islands.SaintMartin.locations.city4.position.ay = 0.0;
	worldMap.islands.SaintMartin.locations.city4.modelName = "leaf";
	worldMap.islands.SaintMartin.locations.city4.visible = "false";
	worldMap.islands.SaintMartin.locations.city4.move = "false";
	//Label
	worldMap.islands.SaintMartin.locations.city4.label.text = "Baie Orient";
	worldMap.islands.SaintMartin.locations.city4.label.icon = -1;
	worldMap.islands.SaintMartin.locations.city4.label.visible = "false";
	// initial ship location
	worldMap.islands.SaintMartin.locations.city4.ship.pos.x = -889.46;
	worldMap.islands.SaintMartin.locations.city4.ship.pos.z = 518.94;*/
// <-- KK

	//14=========================================================================
	//Name
	worldMap.islands.Antigua.name = "Antigua";
	//Geometry parameters
	worldMap.islands.Antigua.isVisibleName = 0;
	worldMap.islands.Antigua.position.x = -700.0;
	worldMap.islands.Antigua.position.y = 30.0;
	worldMap.islands.Antigua.position.z = 750.0;
	worldMap.islands.Antigua.position.rx = -697.5;
	worldMap.islands.Antigua.position.rz = 747.5;
	worldMap.islands.Antigua.radius = 100.0;	
	worldMap.islands.Antigua.kradius = 0.75;
	//Island label
	worldMap.islands.Antigua.label.text = "Antigua";
	worldMap.islands.Antigua.label.icon = -1;
	worldMap.islands.Antigua.label.visible = "true";

	//City
	//Name
	worldMap.islands.Antigua.locations.city1.name = "St John's";
	worldMap.islands.Antigua.locations.city1.real = "St John's";
	//Geometry parameters
	worldMap.islands.Antigua.locations.city1.position.x = -681.5;
	worldMap.islands.Antigua.locations.city1.position.y = 4.665001;
	worldMap.islands.Antigua.locations.city1.position.z = 740.5;
	worldMap.islands.Antigua.locations.city1.position.ay = 1.5765;
	worldMap.islands.Antigua.locations.city1.modelName = "town";
	worldMap.islands.Antigua.locations.city1.visible = "false";
	worldMap.islands.Antigua.locations.city1.move = "false";
	//Label
	worldMap.islands.Antigua.locations.city1.label.text = "St John's";
	worldMap.islands.Antigua.locations.city1.label.icon = ENGLAND;
	worldMap.islands.Antigua.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Antigua.locations.city1.ship.pos.x = -635.48; // KK
	worldMap.islands.Antigua.locations.city1.ship.pos.z = 779.78; // KK
// KK --> to be finished
/*	//Name
	worldMap.islands.Antigua.locations.city2.name = "Antigua_shore";
	//Geometry parameters
	worldMap.islands.Antigua.locations.city2.position.x = -681.5;
	worldMap.islands.Antigua.locations.city2.position.y = 4.665001;
	worldMap.islands.Antigua.locations.city2.position.z = -540.5;
	worldMap.islands.Antigua.locations.city2.position.ay = 2.5765;
	worldMap.islands.Antigua.locations.city2.modelName = "leaf";
	worldMap.islands.Antigua.locations.city2.visible = "false";
	worldMap.islands.Antigua.locations.city2.move = "false";
	//Label
	worldMap.islands.Antigua.locations.city2.label.text = "Muscetto Cove";
	worldMap.islands.Antigua.locations.city2.label.icon = -1;
	worldMap.islands.Antigua.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Antigua.locations.city2.ship.pos.x = -763.80;
	worldMap.islands.Antigua.locations.city2.ship.pos.z = 743.93;*/
// <-- KK

	//15=========================================================================
	//Name
	// LDH changed from .Terks. - 05Jan09
	worldMap.islands.Turks.name = "Turks";
	//Geometry parameters
	worldMap.islands.Turks.isVisibleName = 0;
	worldMap.islands.Turks.position.x = -580.0;
	worldMap.islands.Turks.position.y = 30.0;
	worldMap.islands.Turks.position.z = -780.0;
	worldMap.islands.Turks.position.rx = -565.0;
	worldMap.islands.Turks.position.rz = -773.0;
	worldMap.islands.Turks.radius = 95.0;	
	worldMap.islands.Turks.kradius = 0.75;
	//Island label
	worldMap.islands.Turks.label.text = "Turks";
	worldMap.islands.Turks.label.icon = -1;
	worldMap.islands.Turks.label.visible = "true";

	//City
	//Name
	worldMap.islands.Turks.locations.city1.name = "Grand Turk";
	worldMap.islands.Turks.locations.city1.real = "Grand Turk";
	//Geometry parameters
	worldMap.islands.Turks.locations.city1.position.x = -580.0;
	worldMap.islands.Turks.locations.city1.position.y = 3.665001;
	worldMap.islands.Turks.locations.city1.position.z = -780.0;
	worldMap.islands.Turks.locations.city1.position.ay = 1.5765;
	worldMap.islands.Turks.locations.city1.modelName = "town";
	worldMap.islands.Turks.locations.city1.visible = "false";
	worldMap.islands.Turks.locations.city1.move = "false";
	//Label
	worldMap.islands.Turks.locations.city1.label.text = "Grand Turk";
	worldMap.islands.Turks.locations.city1.label.icon = PIRATE;
	worldMap.islands.Turks.locations.city1.label.visible = "false";
	// initial ship location
	worldMap.islands.Turks.locations.city1.ship.pos.x = -575.43; // KK
	worldMap.islands.Turks.locations.city1.ship.pos.z = -793.75; // KK
// KK --> to be finished
/*	//Name
	worldMap.islands.Turks.locations.city2.name = "Turks_shore_01";
	//Geometry parameters
	worldMap.islands.Turks.locations.city2.position.x = -175.300018;
	worldMap.islands.Turks.locations.city2.position.y = 2.905003;
	worldMap.islands.Turks.locations.city2.position.z = 801.800110;
	worldMap.islands.Turks.locations.city2.position.ay = 0.0;
	worldMap.islands.Turks.locations.city2.modelName = "leaf";
	worldMap.islands.Turks.locations.city2.visible = "false";
	worldMap.islands.Turks.locations.city2.move = "false";
	//Label
	worldMap.islands.Turks.locations.city2.label.text = "White Reefs";
	worldMap.islands.Turks.locations.city2.label.icon = -1;
	worldMap.islands.Turks.locations.city2.label.visible = "false";
	// initial ship location
	worldMap.islands.Turks.locations.city2.ship.pos.x = -590.37;
	worldMap.islands.Turks.locations.city2.ship.pos.z = -742.53;
	//Name
	worldMap.islands.Turks.locations.city3.name = "TShore 4";
	//Geometry parameters
	worldMap.islands.Turks.locations.city3.position.x = -175.300018;
	worldMap.islands.Turks.locations.city3.position.y = 2.905003;
	worldMap.islands.Turks.locations.city3.position.z = 801.800110;
	worldMap.islands.Turks.locations.city3.position.ay = 0.0;
	worldMap.islands.Turks.locations.city3.modelName = "leaf";
	worldMap.islands.Turks.locations.city3.visible = "false";
	worldMap.islands.Turks.locations.city3.move = "false";
	//Label
	worldMap.islands.Turks.locations.city3.label.text = "Sandy Point";
	worldMap.islands.Turks.locations.city3.label.icon = -1;
	worldMap.islands.Turks.locations.city3.label.visible = "false";
	// initial ship location
	worldMap.islands.Turks.locations.city3.ship.pos.x = -600.08;
	worldMap.islands.Turks.locations.city3.ship.pos.z = -817.63;
	//Name
	worldMap.islands.Turks.locations.city4.name = "TShore 5";
	//Geometry parameters
	worldMap.islands.Turks.locations.city4.position.x = -175.300018;
	worldMap.islands.Turks.locations.city4.position.y = 2.905003;
	worldMap.islands.Turks.locations.city4.position.z = 801.800110;
	worldMap.islands.Turks.locations.city4.position.ay = 0.0;
	worldMap.islands.Turks.locations.city4.modelName = "leaf";
	worldMap.islands.Turks.locations.city4.visible = "false";
	worldMap.islands.Turks.locations.city4.move = "false";
	//Label
	worldMap.islands.Turks.locations.city4.label.text = "Birds Cove";
	worldMap.islands.Turks.locations.city4.label.icon = -1;
	worldMap.islands.Turks.locations.city4.label.visible = "false";
	// initial ship location
	worldMap.islands.Turks.locations.city4.ship.pos.x = -532.62;
	worldMap.islands.Turks.locations.city4.ship.pos.z = -777.90;
	//Name
	worldMap.islands.Turks.locations.city5.name = "Turks_Lighthouse";
	//Geometry parameters
	worldMap.islands.Turks.locations.city5.position.x = -175.300018;
	worldMap.islands.Turks.locations.city5.position.y = 2.905003;
	worldMap.islands.Turks.locations.city5.position.z = 801.800110;
	worldMap.islands.Turks.locations.city5.position.ay = 0.0;
	worldMap.islands.Turks.locations.city5.modelName = "leaf";
	worldMap.islands.Turks.locations.city5.visible = "false";
	worldMap.islands.Turks.locations.city5.move = "false";
	//Label
	worldMap.islands.Turks.locations.city5.label.text = "Old Lighthouse";
	worldMap.islands.Turks.locations.city5.label.icon = -1;
	worldMap.islands.Turks.locations.city5.label.visible = "false";
	// initial ship location
	worldMap.islands.Turks.locations.city5.ship.pos.x = -555.48;
	worldMap.islands.Turks.locations.city5.ship.pos.z = -795.06;*/
// <-- KK

	//16=========================================================================
	//Name
	worldMap.islands.Curacao.name = "Curacao";
	//Geometry parameters
	worldMap.islands.Curacao.isVisibleName = 0;
	worldMap.islands.Curacao.position.x = 317.0;
	worldMap.islands.Curacao.position.y = 30.0;
	worldMap.islands.Curacao.position.z = 301.8;
	worldMap.islands.Curacao.position.rx = 334.5;
	worldMap.islands.Curacao.position.rz = 345.9;
	worldMap.islands.Curacao.radius = 95.0;
	worldMap.islands.Curacao.kradius = 0.75;
	//Island label
	worldMap.islands.Curacao.label.text = "Curacao";
	worldMap.islands.Curacao.label.icon = -1;
	worldMap.islands.Curacao.label.visible = "true";

	//City
	//Name
	worldMap.islands.Curacao.locations.city1.name = "Willemstad";
	worldMap.islands.Curacao.locations.city1.real = "Willemstad";
	//Geometry parameters
	worldMap.islands.Curacao.locations.city1.position.x = 334.0;
	worldMap.islands.Curacao.locations.city1.position.y = 3.665001;
	worldMap.islands.Curacao.locations.city1.position.z = 310.0;
	worldMap.islands.Curacao.locations.city1.position.ay = 1.5765;
	worldMap.islands.Curacao.locations.city1.modelName = "town";
	worldMap.islands.Curacao.locations.city1.visible = "false";
	worldMap.islands.Curacao.locations.city1.move = "false";
	//Label
	worldMap.islands.Curacao.locations.city1.label.text = "Willemstad";
	worldMap.islands.Curacao.locations.city1.label.icon = HOLLAND;
	worldMap.islands.Curacao.locations.city1.label.visible = "false";

	//17=========================================================================
	//Name
	worldMap.islands.Eleuthera.name = "Eleuthera";
	//Geometry parameters
	worldMap.islands.Eleuthera.isVisibleName = 0;
	worldMap.islands.Eleuthera.position.x = 404.2;
	worldMap.islands.Eleuthera.position.y = 30.0;
	worldMap.islands.Eleuthera.position.z = -785.8;
	worldMap.islands.Eleuthera.position.rx = 435.3;
	worldMap.islands.Eleuthera.position.rz = -813.2;
	worldMap.islands.Eleuthera.radius = 95.0;
	worldMap.islands.Eleuthera.kradius = 0.75;
	//Island label
	worldMap.islands.Eleuthera.label.text = "Eleuthera";
	worldMap.islands.Eleuthera.label.icon = -1;
	worldMap.islands.Eleuthera.label.visible = "true";

	//City
	//Name
	worldMap.islands.Eleuthera.locations.city1.name = "Eleuthera";
	worldMap.islands.Eleuthera.locations.city1.real = "Eleuthera";
	//Geometry parameters
	worldMap.islands.Eleuthera.locations.city1.position.x = 414.0;
	worldMap.islands.Eleuthera.locations.city1.position.y = 3.665001;
	worldMap.islands.Eleuthera.locations.city1.position.z = -790.0;
	worldMap.islands.Eleuthera.locations.city1.position.ay = 1.5765;
	worldMap.islands.Eleuthera.locations.city1.modelName = "town";
	worldMap.islands.Eleuthera.locations.city1.visible = "false";
	worldMap.islands.Eleuthera.locations.city1.move = "false";
	//Label
	worldMap.islands.Eleuthera.locations.city1.label.text = "Eleuthera";
	worldMap.islands.Eleuthera.locations.city1.label.icon = ENGLAND;
	worldMap.islands.Eleuthera.locations.city1.label.visible = "false";
	//City
	//Name
	worldMap.islands.Eleuthera.locations.city2.name = "Alice";
	worldMap.islands.Eleuthera.locations.city2.real = "Alice";
	//Geometry parameters
	worldMap.islands.Eleuthera.locations.city2.position.x = 414.0; // PB: ???
	worldMap.islands.Eleuthera.locations.city2.position.y = 3.665001; // PB: ???
	worldMap.islands.Eleuthera.locations.city2.position.z = -790.0; // PB: ???
	worldMap.islands.Eleuthera.locations.city2.position.ay = 1.5765; // PB: ???
	worldMap.islands.Eleuthera.locations.city2.modelName = "town";
	worldMap.islands.Eleuthera.locations.city2.visible = "false";
	worldMap.islands.Eleuthera.locations.city2.move = "false";
	//Label
	worldMap.islands.Eleuthera.locations.city2.label.text = "Alice";
	worldMap.islands.Eleuthera.locations.city2.label.icon = ENGLAND;
	worldMap.islands.Eleuthera.locations.city2.label.visible = "false";

	//17=========================================================================
	//Name
	worldMap.islands.Aruba.name = "Aruba";
	//Geometry parameters
	worldMap.islands.Aruba.isVisibleName = 0;
	worldMap.islands.Aruba.position.x = 738.6;
	worldMap.islands.Aruba.position.y = 30.0;
	worldMap.islands.Aruba.position.z = -157.4;
	worldMap.islands.Aruba.position.rx = 754.8;
	worldMap.islands.Aruba.position.rz = -128.8;
	worldMap.islands.Aruba.radius = 95.0;
	worldMap.islands.Aruba.kradius = 0.75;
	//Island label
	worldMap.islands.Aruba.label.text = "Aruba";
	worldMap.islands.Aruba.label.icon = -1;
	worldMap.islands.Aruba.label.visible = "true";

	//City
	//Name
	worldMap.islands.Aruba.locations.city1.name = "Oranjestad";
	worldMap.islands.Aruba.locations.city1.real = "Oranjestad";
	//Geometry parameters
	worldMap.islands.Aruba.locations.city1.position.x = 775.0;
	worldMap.islands.Aruba.locations.city1.position.y = 5.265001;
	worldMap.islands.Aruba.locations.city1.position.z = -110.0;
	worldMap.islands.Aruba.locations.city1.position.ay = 1.5765;
	worldMap.islands.Aruba.locations.city1.modelName = "town";
	worldMap.islands.Aruba.locations.city1.visible = "false";
	worldMap.islands.Aruba.locations.city1.move = "false";
	//Label
	worldMap.islands.Aruba.locations.city1.label.text = "Oranjestad";
	worldMap.islands.Aruba.locations.city1.label.icon = HOLLAND;
	worldMap.islands.Aruba.locations.city1.label.visible = "false";

	//18=========================================================================
	//Name
	worldMap.islands.IslaMona.name = "IslaMona";
	//Geometry parameters
	worldMap.islands.IslaMona.position.x = -545.0;  // East  = +, West  = -
	worldMap.islands.IslaMona.position.y = 30.0;
	worldMap.islands.IslaMona.position.z = -10.0;   // North = -, South = +
	worldMap.islands.IslaMona.position.rx = -570.6; // What's this???
	worldMap.islands.IslaMona.position.rz = -24.5;  // What's this???
	worldMap.islands.IslaMona.radius = 40.0;
	worldMap.islands.IslaMona.kradius = 0.75;
	//Island label
	worldMap.islands.IslaMona.label.text = "Isla Mona";
	worldMap.islands.IslaMona.label.icon = -1;
	worldMap.islands.IslaMona.label.visible = "true";

	//Cities - way for adding new fake island-model into the WorldMap
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city0.position.x = worldMap.islands.IslaMona.position.x;
	worldMap.islands.IslaMona.locations.city0.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city0.position.z = worldMap.islands.IslaMona.position.z + 15.0;
	worldMap.islands.IslaMona.locations.city0.position.ay = 0.0;
	worldMap.islands.IslaMona.locations.city0.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city0.visible = "true";
	worldMap.islands.IslaMona.locations.city0.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city1.position.x = worldMap.islands.IslaMona.position.x + 3.0;
	worldMap.islands.IslaMona.locations.city1.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city1.position.z = worldMap.islands.IslaMona.position.z + 12.0;
	worldMap.islands.IslaMona.locations.city1.position.ay = 0.0;
	worldMap.islands.IslaMona.locations.city1.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city1.visible = "true";
	worldMap.islands.IslaMona.locations.city1.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city2.position.x = worldMap.islands.IslaMona.position.x + 3.0;
	worldMap.islands.IslaMona.locations.city2.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city2.position.z = worldMap.islands.IslaMona.position.z - 1.0;
	worldMap.islands.IslaMona.locations.city2.position.ay = 0.0;
	worldMap.islands.IslaMona.locations.city2.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city2.visible = "true";
	worldMap.islands.IslaMona.locations.city2.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city3.position.x = worldMap.islands.IslaMona.position.x;
	worldMap.islands.IslaMona.locations.city3.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city3.position.z = worldMap.islands.IslaMona.position.z + 5.0;
	worldMap.islands.IslaMona.locations.city3.position.ay = 0.0;
	worldMap.islands.IslaMona.locations.city3.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city3.visible = "true";
	worldMap.islands.IslaMona.locations.city3.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city4.position.x = worldMap.islands.IslaMona.position.x;
	worldMap.islands.IslaMona.locations.city4.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city4.position.z = worldMap.islands.IslaMona.position.z;
	worldMap.islands.IslaMona.locations.city4.position.ay = 0.0;
	worldMap.islands.IslaMona.locations.city4.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city4.visible = "true";
	worldMap.islands.IslaMona.locations.city4.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city5.position.x = worldMap.islands.IslaMona.position.x + 2.0;
	worldMap.islands.IslaMona.locations.city5.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city5.position.z = worldMap.islands.IslaMona.position.z + 15.0;
	worldMap.islands.IslaMona.locations.city5.position.ay = 2.0;
	worldMap.islands.IslaMona.locations.city5.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city5.visible = "true";
	worldMap.islands.IslaMona.locations.city5.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city6.position.x = worldMap.islands.IslaMona.position.x + 5.0;
	worldMap.islands.IslaMona.locations.city6.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city6.position.z = worldMap.islands.IslaMona.position.z + 12.0;
	worldMap.islands.IslaMona.locations.city6.position.ay = 2.0;
	worldMap.islands.IslaMona.locations.city6.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city6.visible = "true";
	worldMap.islands.IslaMona.locations.city6.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city7.position.x = worldMap.islands.IslaMona.position.x + 6.0;
	worldMap.islands.IslaMona.locations.city7.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city7.position.z = worldMap.islands.IslaMona.position.z + 9.0;
	worldMap.islands.IslaMona.locations.city7.position.ay = 3.0;
	worldMap.islands.IslaMona.locations.city7.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city7.visible = "true";
	worldMap.islands.IslaMona.locations.city7.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city8.position.x = worldMap.islands.IslaMona.position.x;
	worldMap.islands.IslaMona.locations.city8.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city8.position.z = worldMap.islands.IslaMona.position.z + 5.0;
	worldMap.islands.IslaMona.locations.city8.position.ay = 1.0;
	worldMap.islands.IslaMona.locations.city8.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city8.visible = "true";
	worldMap.islands.IslaMona.locations.city8.move = "false";
	//Geometry parameters
	worldMap.islands.IslaMona.locations.city9.position.x = worldMap.islands.IslaMona.position.x + 2.0;
	worldMap.islands.IslaMona.locations.city9.position.y = 0.0;
	worldMap.islands.IslaMona.locations.city9.position.z = worldMap.islands.IslaMona.position.z;
	worldMap.islands.IslaMona.locations.city9.position.ay = 2.0;
	worldMap.islands.IslaMona.locations.city9.modelName = "leaf";
	worldMap.islands.IslaMona.locations.city9.visible = "true";
	worldMap.islands.IslaMona.locations.city9.move = "false";

	//=========================================================================
	//  - !!!,   !!!
	//=========================================================================
	//Player ship
	worldMap.playerShipX = 246.27;
	worldMap.playerShipZ = 775.34;
	worldMap.playerShipAY = 3.0;
	worldMap.playerShipActionRadius = 20.0;
	worldMap.playerShipDispX = stf(worldMap.playerShipX) - stf(worldMap.islands.Oxbay.position.rx);
	worldMap.playerShipDispZ = stf(worldMap.playerShipZ) - stf(worldMap.islands.Oxbay.position.rz);	
	//Camera
	worldMap.wdmCameraAY = 0.0;					//  
	worldMap.wdmCameraY = 250.0;				// 
	//Enemy ship	
	worldMap.enemyshipViewDistMin = 60.0;		//     
	worldMap.enemyshipViewDistMax = 120.0;		//     
	worldMap.enemyshipDistKill = 140.0;			//    
	worldMap.enemyshipBrnDistMin = 80.0;		//     
	worldMap.enemyshipBrnDistMax = 130.0;		//     
	//storm
	worldMap.stormViewDistMin = 90.0;			//     
	worldMap.stormViewDistMax = 180.0;			//     
	worldMap.stormDistKill = 190.0;				//    
	worldMap.stormBrnDistMin = 100.0;			//     
	worldMap.stormBrnDistMax = 140.0;			//     
	worldMap.stormZone = 150.0;					//   

/*
	//Player ship
	worldMap.playerShipX = -1000.0;
	worldMap.playerShipZ = -300.0;
	worldMap.playerShipAy = 0.0;
	worldMap.playerShipActionRadius = 20.0;
	//Camera
	worldMap.wdmCameraAY = 30.0;				//  
	worldMap.wdmCameraY = 230.0;				// 
	//Enemy ship	
	worldMap.enemyshipViewDistMin = 60.0;		//     
	worldMap.enemyshipViewDistMax = 120.0;		//     
	worldMap.enemyshipDistKill = 150.0;			//    
	worldMap.enemyshipBrnDistMin = 80.0;		//     
	worldMap.enemyshipBrnDistMax = 130.0;		//     
	//storm
	worldMap.stormViewDistMin = 90.0;			//     
	worldMap.stormViewDistMax = 180.0;			//     
	worldMap.stormDistKill = 190.0;				//    
	worldMap.stormBrnDistMin = 100.0;			//     
	worldMap.stormBrnDistMax = 140.0;			//     
	worldMap.stormZone = 120.0;					//   
	//============================================//

	//=========================================================================
	//Initialization labels
	//=========================================================================
//	InitializationLabels();
//	DeleteAttribute(&worldMap, "labeltype");
*/

}
